#define		NIL			0L
#define		MAXSTRING		128
#define		SAMPBUFSZ		512

/* the following parameters are for MAC II monochrome screen */
#define		WINMAX_x	512		/* max x of window */
#define		WINMAX_y	460		/* max y of window */

#define		MK_LONG(x)	(*((long *)&(x)))
#define		SAMPMAX			65535.0
#define		SRATEMAX		312000		/* max sampling rate for Sound Acc. mono */
#define		SRATEMIN		100

#define		APPLE_MENU		1
#define		FILE_MENU		256
#define		DISPLAY_DIALOG	260
#define		SFRESOURCENUM	1000

/* items on apple menu */
#define		AboutItem	1

/* items on file menu */
#define		OPEN		1
#define		QUIT		3


#define		DRVR		0x44525652L	/* the string "DRVR" as a long */


/* alert boxes */
#define		ErrorAlert		401

/* dialog box numbers */
#define		ABOUT_DIALOG	300
#define		OUTPUT_FORMAT	500

/* play dialog button defaults */
#define		PlayBut				1
#define		CancelBut			2
#define		EndSampBut			3
#define		StartSampBut		4
#define		SrateBut			5
#define		NumberOfChannels	6
#define		FileNameField		7
#define		theUserItem			12	


/* output format dialog button defaults */
#define		OKButton			1
#define		CancelButton		7
#define		ILEAVEDitem			2
#define		AIFFitem			3
#define		SDitem				4
#define		FLTitem				5
#define		USERItem			6
/* sound file types, also used for radio button nos. in upload dialog */
#define		FLOAT				5
#define		INT16				6
#define		SD1					8
#define		SD2					9
#define		AIFF				10

#define		MAX(x,y)	(x) > (y) ? (x) : (y)
#define		MIN(x,y)	(x) < (y) ? (x) : (y)




void	SetProgressDialog(void);
Boolean	UpdateProgressDialog(void);
void	DisposeProgDialog(void);
