#define		NIL			0L
#define		MAXSTRING		128
#define		SAMPBUFSZ		512

/* the following parameters are for MAC II monochrome screen */
#define		WINMAX_x	512		/* max x of window */
#define		WINMAX_y	460		/* max y of window */

#define		MK_LONG(x)	(*((long *)&(x)))
#define		SAMPMAX			65535.0
#define		SRATEMAX		312000		/* max sampling rate for Sound Acc. mono */
#define		SRATEMIN		100

#define		APPLE_MENU		1
#define		FILE_MENU		256
#define		SFRESOURCENUM	1000

/* items on apple menu */
#define		AboutItem	1

/* items on file menu */
#define		OPEN		1
#define		QUIT		3


#define		DRVR		0x44525652L	/* the string "DRVR" as a long */


/* alert boxes */
#define		ErrorAlert		401

/* dialog box numbers */
#define		ABOUT_DIALOG	300
#define		InfoDialog		500

/* info dialog button defaults */
#define		OKButton			1
#define		theUserItem			2	
#define		TypeItem			11
#define		ChanItem			12
#define		SrateItem			13
#define		MaxAmpItem			14
#define		MinAmpItem			15
#define		LengthTimeItem		16
#define		LengthSampsItem		17
#define		TitleItem			18

/* sound file types, also used for radio button nos. in upload dialog */
#define		FLOAT				5
#define		INT16				6
#define		SD1					8
#define		AIFF				9
#define		SD2					10


/* size of SD header info */
#define	SDHEADERSIZE	1336

#define	SAMPLE_SIZE_RES		1000
#define	SAMPLE_RATE_RES		1001
#define	SAMPLE_CHANNELS_RES	1002
