/*
*  Graeme Gerrard 1990
* Faculty of Music, University of Melbourne
* Parkville Victoria 3052 Australia.
*
* ARPANET: grae@murdu.ucs.unimelb.edu.au
* telephone: (613) 344 4127, Fax: (613) 344 5346
*/

void HandleMenu(char *doneFlag, short   theMenu, short   theItem, TEHandle *theInput);

/* External routines that are called */

extern MenuHandle AppleMenu;

#include "Music4C.h"
#include "Music4C_Prototype.h"
#include "Synthesis_Time.h"
#include "Synthesis_Progress.h"
#include "Preferences_Dialog.h"
#include "Pass1_2.h"
#include "About_Dialog_Box.h"

extern	void  GetMusic4C_Prefs(void);
extern	void	tell_mem(void);
void HandleMenu(doneFlag,theMenu,theItem,theInput)
	char     *doneFlag; 
	short   theMenu,theItem;
	TEHandle   *theInput;
{
/* List in the menu bar */
#define List_Apple  1001
#define Item_About  1
/* List in the menu bar */
#define List_File  1002
#define Item_Open  1
#define Item_Preferences  3
#define Item_Quit  5

	GrafPtr   SavePort;
	Str255    DAName;
	short     DNA;
	char      BoolHolder;
	extern	int	out1_flag;		/* pass1 output flag */
	extern	int	out2_flag;		/* pass2 output flag */
	extern	int	out3_flag;		/* pass3 output flag */
	extern	int	RunToPass1;		/* test pass1 only */
	extern	int	RunToPass2;		/* test up to pass2 only */
	extern	int	RunToPass3;		/* test pass3 only, i.e. don't write sample file */
	extern	int	ReportFileRefNum;
	extern	Boolean	CreateSoundFile;
	extern	Str255	sfile;
	extern	Str255	theMess1;
	extern	OSErr	theErr;
	extern	int		scoreRefNum;
	Boolean	completed;
	extern	Boolean	ScoreFileIsOpen;
	extern	Boolean	SoundFileIsOpen;
	extern	Boolean	ReportFileIsOpen;
	
	
	switch (theMenu)
	{
	
		case List_Apple:
			switch (theItem)
			{
				case Item_About:
					D_About_Dialog_Box();
					break;
				default:
					GetPort(&SavePort);
					GetItem(AppleMenu, theItem, &DAName);
					DNA = OpenDeskAcc(DAName);
					SetPort(SavePort);
					break;
			 
			}
			break;
	
	
		case List_File:
			switch (theItem)
			{
				case Item_Open:
					ScoreFileIsOpen = ReportFileIsOpen = SoundFileIsOpen = FALSE;
					if ( (ScoreFileIsOpen = OpenScoreFile()) ) {
						if ( out1_flag || out2_flag || out3_flag ) {
							if ( (ReportFileIsOpen = OpenReportFile(&ReportFileRefNum))) {
								PtoCstr((char *)sfile);
								sprintf((char *)theMess1, "Output for score file %s\n", sfile);
								Report((char *)theMess1);
								Report("--------------------------------------\n");
								Report("\n");
								CtoPstr((char *)sfile);
							}
							else {
								CleanUp(TRUE);
								break;
							}
						}
						
						if ( CreateSoundFile ) {
							if( !(SoundFileIsOpen = OpenSFWrite()) ) {
								CleanUp(TRUE);
								break;
							}
						}
						/* tell_mem();*/
						MAC_do_pass12();
						completed = FALSE;
						if ( RunToPass3 || CreateSoundFile ) {
							if ( MAC_do_pass3() )
								CleanUp(FALSE);
							else
								CleanUp(TRUE);
						}
					}
					break;
				case Item_Preferences:
					D_Preferences_Dialog();
					break;
				case Item_Quit:
					*doneFlag = TRUE;
					break;
				default:
					break;
			 
			}
			break;
	
		default:
			break;
	 
	}
	InitCursor();
	HiliteMenu(0);
}


