/*
* Types used for Digidesign's Sound Designer (I) File format specification
*/

/*
typedef	enum {	leftSide, rightSide
}	SideType;

typedef	enum {
		tTime,SampleNumber,HexSampNum,Volts,Percent,dbm,User
}	ScaleNames;
*/
typedef	enum {
		Select,Draw,ZoomSelect
}	ModeType;



typedef	struct	MarkerType {
			Boolean		Free;			/* Boolean */			
			long		Position;			
			char		Name[34];				
}	MarkerType;


typedef	struct	EditRecord {
			long		HiAddr;
			long		LoAddr;
			Boolean		ExtendSide;	/* SideType */
}	EditRecord;


typedef	struct	ZoomType {
			int		v;
			long		h;
}	ZoomType;

typedef	struct	ScaleType {
			long			VFactor;
			int			VType;	/* ScaleNames */
			char			VString[34];
			long			HFactor;
			int			HType;	/* ScaleNames */
			char			HString[34];
}	ScaleType;



typedef	struct WaveRec {
			int			HeaderSize;				
			int			Version;
			int			Preview;	/* Boolean */
			WindowPtr	WPtr;
			WindowPeek	WPeek;

			long	HInxPage,HInxLine; 
			long	VInxPage,VInxLine; 
			long	HCtlPage,HCtlLine; 
			long	VCtlPage,VCtlLine;

			long	VOffset,HOffset;		
			int	VOffConst;

			ZoomType		ZF;
			ScaleType		SF;							
			int		VScrUpdate;

			Ptr	BufPtr;
			Size	BufBytes;							
			long	BufOffset;					
			RgnHandle	WaveRgn,ClipArea,ScaleArea;
			Rect	CtlWidth;
			ControlHandle	VScroll,HScroll;

			Size	FileSize;
			char	BUName[66];					
			char	FileName[66];				
			int	BURefNum;					
			int	refNum;						
			int	vRefNum;
			Boolean	BufChanged;	/* Boolean */
			Boolean	FileChanged;	/* Boolean */
			Boolean	NoBackup;	/* Boolean */

			ModeType			Mode;	/* ModeType */
			EditRecord	Edit;
			long			CursorPos;
			RgnHandle	CursorRgn;
			MarkerType	MarkerData[10];	/* 10 */
			long		MarkerOffset;
			long		LoopStart;	
			long		LoopEnd;
			Boolean		ZeroLineOn;	/* Boolean */
			Boolean		CursorOn;	/* Boolean */
			int		ScalesOn;	/* Boolean */

			Str255	Comment;	
			long		SampRate;
			long		SampPeriod;
			int		SampSize;
			char		CodeType[34];

			Str255	UserStr1;	
			Size		BufSize;			
			long		Loop2Start;
			long		Loop2End;
			SignedByte	Loop1Type;
			SignedByte	Loop2Type;
			int		User4;	
}	WaveRec, *WavPtr;

#define		SD_HEADER_SIZE	1336